## opencv 4.5.4%2Bdfsg

=== samples/cpp/CMakeLists.txt ===
ocv_install_example_src(cpp *.cpp *.hpp CMakeLists.txt)

set(OPENCV_CPP_SAMPLES_REQUIRED_DEPS
  opencv_core
  opencv_imgproc
  opencv_flann
  opencv_imgcodecs
  opencv_videoio
  opencv_highgui
  opencv_ml
  opencv_video
  opencv_objdetect
  opencv_photo
  opencv_features2d
  opencv_calib3d
  opencv_stitching
  opencv_dnn
  ${OPENCV_MODULES_PUBLIC}
  ${OpenCV_LIB_COMPONENTS})
ocv_check_dependencies(${OPENCV_CPP_SAMPLES_REQUIRED_DEPS})

if(NOT BUILD_EXAMPLES OR NOT OCV_DEPENDENCIES_FOUND)
  return()
endif()

set(DEPS_example_snippet_imgproc_segmentation opencv_core opencv_imgproc)
set(DEPS_example_cpp_intelligent_scissors opencv_core opencv_imgproc opencv_imgcodecs opencv_highgui)

project(cpp_samples)
ocv_include_modules_recurse(${OPENCV_CPP_SAMPLES_REQUIRED_DEPS})
file(GLOB_RECURSE cpp_samples RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)
if(NOT HAVE_opencv_cudaarithm OR NOT HAVE_opencv_cudafilters)
  ocv_list_filterout(cpp_samples "/gpu/")
endif()
ocv_list_filterout(cpp_samples "real_time_pose_estimation/")
ocv_list_filterout(cpp_samples "parallel_backend/")
foreach(sample_filename ${cpp_samples})
  set(package "cpp")
  if(sample_filename MATCHES "tutorial_code/snippet")
    set(package "snippet")
  elseif(sample_filename MATCHES "tutorial_code")
    set(package "tutorial")
  endif()
  ocv_define_sample(tgt ${sample_filename} ${package})
  set(deps ${OPENCV_CPP_SAMPLES_REQUIRED_DEPS})
  if(DEFINED DEPS_${tgt})
    set(deps ${DEPS_${tgt}})
  endif()
  ocv_target_link_libraries(${tgt} PRIVATE ${OPENCV_LINKER_LIBS} ${deps})
  if(sample_filename MATCHES "/gpu/" AND HAVE_opencv_cudaarithm AND HAVE_opencv_cuda_filters)
    ocv_target_link_libraries(${tgt} PRIVATE opencv_cudaarithm opencv_cudafilters)
  endif()
  if(sample_filename MATCHES "/viz/")
    ocv_target_link_libraries(${tgt} PRIVATE ${VTK_LIBRARIES})
    target_compile_definitions(${tgt} PRIVATE -DUSE_VTK)
  endif()
  if(HAVE_OPENGL AND sample_filename MATCHES "detect_mser")
    target_compile_definitions(${tgt} PRIVATE HAVE_OPENGL)
  endif()
  if(sample_filename MATCHES "simd_")
    # disabled intentionally - demonstration purposes only
    #target_include_directories(${tgt} PRIVATE "${CMAKE_CURRENT_LIST_DIR}")
    #target_compile_definitions(${tgt} PRIVATE OPENCV_SIMD_CONFIG_HEADER=opencv_simd_config_custom.hpp)
    #target_compile_definitions(${tgt} PRIVATE OPENCV_SIMD_CONFIG_INCLUDE_DIR=1)
    #target_compile_options(${tgt} PRIVATE -mavx2)
  endif()
endforeach()

include("tutorial_code/calib3d/real_time_pose_estimation/CMakeLists.txt" OPTIONAL)

# Standalone samples only
if(OpenCV_FOUND AND NOT CMAKE_VERSION VERSION_LESS "3.1")
  add_subdirectory("example_cmake")
endif()
if(OpenCV_FOUND AND NOT CMAKE_VERSION VERSION_LESS "3.9")
  add_subdirectory("tutorial_code/core/parallel_backend")
endif()

=== modules/cudev/test/CMakeLists.txt ===
set(test_deps opencv_cudev opencv_core opencv_imgproc opencv_imgcodecs opencv_videoio opencv_highgui opencv_ts ${OPENCV_MODULE_opencv_ts_DEPS})

ocv_check_dependencies(${test_deps})

if(OCV_DEPENDENCIES_FOUND)
  set(the_target "opencv_test_${name}")

  ocv_module_include_directories("${test_deps}" "${the_module}")

  file(GLOB test_srcs "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/*.cu")
  file(GLOB test_hdrs "${CMAKE_CURRENT_SOURCE_DIR}/*.hpp")
  source_group("Src" FILES ${test_srcs})
  source_group("Include" FILES ${test_hdrs})
  set(OPENCV_TEST_${the_module}_SOURCES ${test_srcs} ${test_hdrs})

  ocv_cuda_filter_options()

  if(CUDA_VERSION VERSION_LESS "11.0")
    ocv_update(OPENCV_CUDA_OPTIONS_opencv_test_cudev "-std=c++11")
  else()
    ocv_update(OPENCV_CUDA_OPTIONS_opencv_test_cudev "-std=c++14")
    ocv_warnings_disable(CMAKE_CXX_FLAGS -Wdeprecated-declarations)
  endif()

  CUDA_ADD_EXECUTABLE(${the_target} ${OPENCV_TEST_${the_module}_SOURCES} OPTIONS ${OPENCV_CUDA_OPTIONS_opencv_test_cudev})
  ocv_target_link_libraries(${the_target} PRIVATE
      ${test_deps} ${OPENCV_LINKER_LIBS} ${CUDA_LIBRARIES}
  )
  add_dependencies(opencv_tests ${the_target})

  set_target_properties(${the_target} PROPERTIES LABELS "${OPENCV_MODULE_${the_module}_LABEL}")
  set_source_files_properties(${OPENCV_TEST_${the_module}_SOURCES} ${${the_target}_pch}
    PROPERTIES LABELS "${OPENCV_MODULE_${the_module}_LABEL};AccuracyTest")

  # Additional target properties
  set_target_properties(${the_target} PROPERTIES
    DEBUG_POSTFIX "${OPENCV_DEBUG_POSTFIX}"
    RUNTIME_OUTPUT_DIRECTORY "${EXECUTABLE_OUTPUT_PATH}"
  )

  if(ENABLE_SOLUTION_FOLDERS)
    set_target_properties(${the_target} PROPERTIES FOLDER "tests accuracy")
  endif()

  ocv_add_test_from_target("${the_target}" "Accuracy" "${the_target}")

  if(INSTALL_TESTS)
    install(TARGETS ${the_target} RUNTIME DESTINATION ${OPENCV_TEST_INSTALL_PATH} COMPONENT tests)
  endif()
endif()

=== samples/android/15-puzzle/CMakeLists.txt ===
set(sample example-15-puzzle)

add_android_project(${sample} "${CMAKE_CURRENT_SOURCE_DIR}" LIBRARY_DEPS "${OPENCV_ANDROID_LIB_DIR}" SDK_TARGET 11 "${ANDROID_SDK_TARGET}")
if(TARGET ${sample})
  add_dependencies(opencv_android_examples ${sample})
endif()

=== debian/changelog ===
opencv (4.5.4+dfsg-9~bpo10+1) bullseye-backports; urgency=medium

  * Add Marc Leeman to Uploaders
  * debian: add lintian-overrides

 -- Marc Leeman <m.leeman@televic.com>  Fri, 18 Mar 2022 09:39:05 +0100

opencv (4.5.4+dfsg-9) unstable; urgency=medium

  * Fix broken symlink
  * Apply MA hint

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Nov 2021 23:32:18 +0100

opencv (4.5.4+dfsg-8) unstable; urgency=medium

  * Resolve file conflict with libopencv4.5-jni (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Nov 2021 13:24:59 +0100

opencv (4.5.4+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Add patch for Debian Soname in pkg-config (Closes: #1000625)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Nov 2021 09:52:16 +0100

opencv (4.5.4+dfsg-6) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Nov 2021 22:21:16 +0100

opencv (4.5.4+dfsg-5) experimental; urgency=medium

  * Keep package name libopencv4.5-java

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Nov 2021 20:56:30 +0100

opencv (4.5.4+dfsg-4) experimental; urgency=medium

  * Also add -d suffix to jar files (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Fri, 19 Nov 2021 18:43:14 +0100

opencv (4.5.4+dfsg-3) experimental; urgency=medium

  * Also add -d suffix to shared library filenames (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Nov 2021 15:09:55 +0100

opencv (4.5.4+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Bump SOVERSION to 4.5d after upstream ABI breakage (Closes: #998141)

 -- Timo Röhling <roehling@debian.org>  Sat, 13 Nov 2021 12:49:30 +0100

opencv (4.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version 4.5.4+dfsg.
  * Update d/control
    - Add dh-sequence-python3 to B-D

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 18 Oct 2021 11:54:56 +0900

=== debian/control ===
Source: opencv
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
           Nobuhiro Iwamatsu <iwamatsu@debian.org>,
           Mo Zhou <lumin@debian.org>,
           Marc Leeman <m.leeman@televic.com>
Section: devel
Priority: optional
Build-Depends: ant [!hppa !hurd-any !kfreebsd-any],
               cmake,
               debhelper-compat (= 13),
               default-jdk [!hppa !hurd-any !kfreebsd-any],
               dh-python,
               dh-sequence-python3,
               doxygen,
               javahelper,
               ninja-build,
               libavcodec-dev,
               libavformat-dev,
               libswresample-dev,
               libdc1394-dev [linux-any],
               libeigen3-dev,
               libgdal-dev,
               libgdcm-dev [!alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpcspe !sh4 !x32],
               libvtkgdcm-dev [!alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpcspe !sh4 !x32],
               libgdcm-tools [!alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpcspe !sh4 !x32],
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libgoogle-glog-dev,
               libgphoto2-dev,
               libgtk-3-dev,
               libjpeg-dev,
               liblapack-dev,
               libleptonica-dev,
               libopenexr-dev (>= 1.6.1-8.1),
               libilmbase-dev,
               libpng-dev,
               libprotobuf-dev,
               libraw1394-dev [linux-any],
               libswscale-dev,
               libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 riscv64 sh4 sparc64],
               libtesseract-dev,
               libtiff-dev,
               libv4l-dev [linux-any],
               libvtk9-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               maven-repo-helper [!hppa !hurd-any !kfreebsd-any],
               ocl-icd-opencl-dev,
               protobuf-compiler,
               python3-dev,
               python3-numpy,
               python3-bs4,
               zlib1g-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/opencv
Vcs-Git: https://salsa.debian.org/science-team/opencv.git
Homepage: https://opencv.org
Rules-Requires-Root: no

Package: opencv-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         libjs-mathjax,
         ${misc:Depends}
Conflicts: libopencv-doc
Replaces: libopencv-doc
Description: OpenCV documentation and examples
 This package contains the OpenCV documentation and example programs.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-dev
Architecture: any
Section: libdevel
Depends: libopencv-calib3d-dev (= ${binary:Version}),
         libopencv-contrib-dev (= ${binary:Version}),
         libopencv-core-dev (= ${binary:Version}),
         libopencv-dnn-dev (= ${binary:Version}),
         libopencv-features2d-dev (= ${binary:Version}),
         libopencv-flann-dev (= ${binary:Version}),
         libopencv-highgui-dev (= ${binary:Version}),
         libopencv-imgcodecs-dev (= ${binary:Version}),
         libopencv-imgproc-dev (= ${binary:Version}),
         libopencv-ml-dev (= ${binary:Version}),
         libopencv-objdetect-dev (= ${binary:Version}),
         libopencv-photo-dev (= ${binary:Version}),
         libopencv-shape-dev (= ${binary:Version}),
         libopencv-stitching-dev (= ${binary:Version}),
         libopencv-superres-dev (= ${binary:Version}),
         libopencv-video-dev (= ${binary:Version}),
         libopencv-videoio-dev (= ${binary:Version}),
         libopencv-videostab-dev (= ${binary:Version}),
         libopencv-viz-dev (= ${binary:Version}),
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends},
         libilmbase-dev
Recommends: opencv-data, libopencv4.5-java (= ${binary:Version}),
Suggests: opencv-doc
Conflicts: libcv-dev,
           libcvaux-dev,
           libhighgui-dev
Replaces: libcv-dev,
          libcvaux-dev,
          libhighgui-dev
Description: development files for opencv
 This is a metapackage providing development package necessary for
 development of OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: opencv-data
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: development data for opencv
 This package contains some architecture independent files useful for
 development with OpenCV.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopencv-core4.5d (= ${binary:Version}),
         libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 riscv64 sh4 sparc64],
         zlib1g-dev,
         ${misc:Depends}
Description: development files for libopencv-core4.5d
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) core.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core4.5d
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libvisp-core-dev (<< 3.3.0-5+b1)
Description: computer vision core library
 This package contains the OpenCV (Open Computer Vision) core runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-ml-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopencv-core-dev (= ${binary:Version}),
         libopencv-ml4.5d (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libopencv-ml4.5d
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Machine Learning library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-ml4.5d
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: computer vision Machine Learning library
 This package contains the OpenCV (Open Computer Vision) Machine Learning
 runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgproc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopencv-core-dev (= ${binary:Version}),
         libopencv-imgproc4.5d (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libopencv-imgproc4.5d
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Image Processing library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgproc4.5d
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: computer vision Image Processing library
 This package contains the OpenCV (Open Computer Vision) Image Processing
 runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
